/**
 * Adds an event listener so your application can become aware of updates
 * triggered from Highlight.
 * @param eventName the Highlight event to listen for
 * @param callback a function that Highlight will call when the event occurs
 * @returns a function that can clean up any event listener memory
 */
declare function addEventListener(eventName: EventListener, callback: (activationReason: string, suggestion: string) => void): () => void;
/**
 * Authenticates the user with Highlight, automatically returns a user ID and an
 * access token which can be used to verify the user with your own backend.
 */
declare function authenticateUser(): Promise<{
    accessToken: string;
    refreshToken: string;
}>;

export { addEventListener, authenticateUser };
